package com.huimv.manager.dao.repo;

import com.huimv.manager.dao.entity.ImageCatalogEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ImageCatalogEntityRepository extends JpaRepository<ImageCatalogEntity, Integer>, JpaSpecificationExecutor<ImageCatalogEntity> {

    @Query(nativeQuery = true, value = "SELECT * FROM image_catalog")
    List<ImageCatalogEntity> getImageCatalog();
}